Subject: Re: BugView updated.
From: [email-masked] (Mike Bernson)

14 Jul 1997 23:32:49 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (X11; I; BSD/OS 3.0 i386)
Original-To: Mumit Khan <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Mumit Khan wrote:
> 
> Sergey,
> 
> Thanks for all the great work you're putting into winsup, and putting up
> the patched cygwin DLL and libcygwin.a!
> 
> The only caveat is that I need to have a patched source tree (for various
> reasons, the least of which is that I never work on Win32 box, rather use
> linux and have some local modifications), I still would love to get a
> complete diff since b18 release.
> 
> I hand patched most of your patches available from your site, and looks
> like the only piece I'm missing is the one that add 'rusage' handling.
> Hopefully someone on the mailing list already has this patch?
> 
> Anybody out there managed to create a patch with respect to b18? Don't
> tell me I'm the only who builds everything from source ;-?
> 
> Regards
> Mumit -- [email-masked]
> http://www.xraylith.wisc.edu/~khan/
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
If you find a place place let me known......

I am glad to see that I am not the only one that is missing rusage
fill function.

I would like to be able to check all my patches up to date.

I will be will to make a stab at this but i need a few copies of patched
version of winsup files.

I can create a inbound ftp area on my machine here. But only a have
a ISDN 64k line so anonymous ftp is out. I think that my ISP will
give me space < 5meg on his machine for WEB pages.

I could check into this if enough people want the sources. Also
everyone that help in keeping the source in sync would be granted
access.

I would like to see a way to have better controlled way to handle 
fixes that sergey is will (nice) to give us. Since Cygnus is not
keep a current sanpshot of the gnutools I would like to see one 
created.

This is not to say I would want Sergey to spend time keeping a 
snapshot instead of fix stuff. The snapshot could be handle by
some user. Again I would be will to try to start this up.

I would like to keep a patch file to go from Clean b18 release to
what the current snapshot. Also I would like to keep patch files to
go from snapshot to snap shot.

There a number of issuse that need to be worked out.

If enough people want to see this happen I can create a mailing
list to talk about getting things setup. I would like to see this
as a seprate list from gun-win32 so that we do not bother user that
do not care about this and to get thing going faster. (smaller list
work faster)

I last note. I do not care about assign copyright to Me or cygnus. I
just do not want to deal with copyright that will not allow use to 
use the code or restrict it more then cygnus has.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".